POST   tags

Add customer tags.

Request example and description

Tags

curl --request POST "https://api-asm1.apica.io/v3/tags?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "tags": [
    {
      "key": {
        "name": "Rank",
        "color": 14523319
      },
      "values": [
        "Prod",
        "Beta"
      ]
    },
    {
      "key": {
        "name": "Environment",
        "color": 15423319
      },
      "values": [
        "Prod",
        "Beta"
      ]
    },
    {
      "key": {
        "name": "Environment",
        "color": 17423319
      },
      "values": [
        "Prod",
        "Beta"
      ]
    }
  ]
}"
NameType Required Description
tagsArrayNo

No documentation available.

keyObjectYes

The tag's key data.

nameStringYes

Tag name.

colorIntegerNo

Tag color code. Integer representation of the hex RGB format. Default value: 15423319 (which corresponds to the red #EB5757). The value should be between 0 and 16777215.

valuesArrayNo

The tag's values.

Response body model example and description

Tags

[
  {
    "key": {
      "id": 1,
      "name": "sample string 2",
      "color": 1
    },
    "values": [
      {
        "id": 1,
        "value": "sample string 2"
      },
      {
        "id": 1,
        "value": "sample string 2"
      },
      {
        "id": 1,
        "value": "sample string 2"
      }
    ]
  },
  {
    "key": {
      "id": 1,
      "name": "sample string 2",
      "color": 1
    },
    "values": [
      {
        "id": 1,
        "value": "sample string 2"
      },
      {
        "id": 1,
        "value": "sample string 2"
      },
      {
        "id": 1,
        "value": "sample string 2"
      }
    ]
  },
  {
    "key": {
      "id": 1,
      "name": "sample string 2",
      "color": 1
    },
    "values": [
      {
        "id": 1,
        "value": "sample string 2"
      },
      {
        "id": 1,
        "value": "sample string 2"
      },
      {
        "id": 1,
        "value": "sample string 2"
      }
    ]
  }
]
NameType Description
keyObject

Tag key.

idInteger

Tag key's numeric identifier.

nameString

Tag name.

colorInteger

Tag color code. Integer representation of the hex RGB format.

valuesArray

Tag values.

idInteger

Tag value's numeric identifier.

valueString

Tag value.